High-Level Data Reduction Library: tests/hdrl_resample-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Macros | Functions
hdrl_resample-test.c File Reference
`#include <cpl.h>`
`#include <stdint.h>`
`#include <math.h>`
`#include <assert.h>`
`#include <hdrl_utils.h>`
`#include <hdrl_resample.h>`
`#include <hdrl_resample.c>`
`#include <hdrl_random.h>`
Include dependency graph for hdrl_resample-test.c:

## Macros
#define | omp_get_max_threads() 1
#define | RECIPE_NAME "hdrldemo_resample"
#define | HDRL_DELTA_COMPARE_VALUE_ABS CPL_MAX(HDRL_EPS_DATA, HDRL_EPS_ERROR) * 4.
#define | HDRL_EPS_TEST HDRL_EPS_DATA
#define | DRIZZLE_DOWN_SCALING_FACTOR_X 0.8
#define | DRIZZLE_DOWN_SCALING_FACTOR_Y 0.8
#define | DRIZZLE_DOWN_SCALING_FACTOR_Z 0.8
#define | RENKA_CRITICAL_RADIUS 1.25
#define | LANCZOS_KERNEL_SIZE 2
#define | LOOP_DISTANCE 1.0
#define | HDRL_FLUX_ADU 100
#define | HDRL_SCALE_Z 500
#define | HDRL_CD11 -3.47222e-05
#define | HDRL_CD12 0.0
#define | HDRL_CD21 0.0
#define | HDRL_CD22 3.47222e-05
#define | HDRL_CD13 0.0
#define | HDRL_CD31 0.0
#define | HDRL_CD23 0.0
#define | HDRL_CD32 0.0
#define | HDRL_CD33 2.45e-10*HDRL_SCALE_Z
#define | HDRL_CDELT1 fabs(HDRL_CD11)
#define | HDRL_CDELT2 fabs(HDRL_CD22)
#define | HDRL_CDELT3 fabs(HDRL_CD33)
#define | HDRL_CRPIX1 33.5
#define | HDRL_CRPIX2 33.5
#define | HDRL_CRPIX3 1.
#define | HDRL_CRVAL1 48.0706
#define | HDRL_CRVAL2 -20.6219
#define | HDRL_CRVAL3 1.9283e-06
#define | HDRL_RA 48.070
#define | HDRL_DEC -20.621
#define | HDRL_RA_MIN 48.069416667
#define | HDRL_RA_MAX 48.0718125
#define | HDRL_DEC_MIN -20.6229925
#define | HDRL_DEC_MAX -20.620708611
#define | HDRL_LAMBDA_MIN 1.9283e-06
#define | HDRL_LAMBDA_MAX 2.47146e-06
#define | HDRL_SIZE_X 50
#define | HDRL_SIZE_Y 50
#define | HDRL_SIZE_Z 3

## Functions
int | main (void)
| Unit tests of hdrl_image.

## Macro Definition Documentation

## ◆ DRIZZLE_DOWN_SCALING_FACTOR_X

#define DRIZZLE_DOWN_SCALING_FACTOR_X 0.8

## ◆ DRIZZLE_DOWN_SCALING_FACTOR_Y

#define DRIZZLE_DOWN_SCALING_FACTOR_Y 0.8

## ◆ DRIZZLE_DOWN_SCALING_FACTOR_Z

#define DRIZZLE_DOWN_SCALING_FACTOR_Z 0.8

## ◆ HDRL_CD11

#define HDRL_CD11 -3.47222e-05

## ◆ HDRL_CD12

#define HDRL_CD12 0.0

## ◆ HDRL_CD13

#define HDRL_CD13 0.0

## ◆ HDRL_CD21

#define HDRL_CD21 0.0

## ◆ HDRL_CD22

#define HDRL_CD22 3.47222e-05

## ◆ HDRL_CD23

#define HDRL_CD23 0.0

## ◆ HDRL_CD31

#define HDRL_CD31 0.0

## ◆ HDRL_CD32

#define HDRL_CD32 0.0

## ◆ HDRL_CD33

#define HDRL_CD33 2.45e-10*HDRL_SCALE_Z

## ◆ HDRL_CDELT1

#define HDRL_CDELT1 fabs(HDRL_CD11)

## ◆ HDRL_CDELT2

#define HDRL_CDELT2 fabs(HDRL_CD22)

## ◆ HDRL_CDELT3

#define HDRL_CDELT3 fabs(HDRL_CD33)

## ◆ HDRL_CRPIX1

#define HDRL_CRPIX1 33.5

## ◆ HDRL_CRPIX2

#define HDRL_CRPIX2 33.5

## ◆ HDRL_CRPIX3

#define HDRL_CRPIX3 1.

## ◆ HDRL_CRVAL1

#define HDRL_CRVAL1 48.0706

## ◆ HDRL_CRVAL2

#define HDRL_CRVAL2 -20.6219

## ◆ HDRL_CRVAL3

#define HDRL_CRVAL3 1.9283e-06

## ◆ HDRL_DEC

#define HDRL_DEC -20.621

## ◆ HDRL_DEC_MAX

#define HDRL_DEC_MAX -20.620708611

## ◆ HDRL_DEC_MIN

#define HDRL_DEC_MIN -20.6229925

## ◆ HDRL_DELTA_COMPARE_VALUE_ABS

#define HDRL_DELTA_COMPARE_VALUE_ABS CPL_MAX(HDRL_EPS_DATA, HDRL_EPS_ERROR) * 4.

## ◆ HDRL_EPS_TEST

#define HDRL_EPS_TEST HDRL_EPS_DATA

## ◆ HDRL_FLUX_ADU

#define HDRL_FLUX_ADU 100

## ◆ HDRL_LAMBDA_MAX

#define HDRL_LAMBDA_MAX 2.47146e-06

## ◆ HDRL_LAMBDA_MIN

#define HDRL_LAMBDA_MIN 1.9283e-06

## ◆ HDRL_RA

#define HDRL_RA 48.070

## ◆ HDRL_RA_MAX

#define HDRL_RA_MAX 48.0718125

## ◆ HDRL_RA_MIN

#define HDRL_RA_MIN 48.069416667

## ◆ HDRL_SCALE_Z

#define HDRL_SCALE_Z 500

## ◆ HDRL_SIZE_X

#define HDRL_SIZE_X 50

## ◆ HDRL_SIZE_Y

#define HDRL_SIZE_Y 50

## ◆ HDRL_SIZE_Z

#define HDRL_SIZE_Z 3

## ◆ LANCZOS_KERNEL_SIZE

#define LANCZOS_KERNEL_SIZE 2

## ◆ LOOP_DISTANCE

#define LOOP_DISTANCE 1.0

## ◆ omp_get_max_threads

#define omp_get_max_threads | ( |  | ) | 1

## ◆ RECIPE_NAME

#define RECIPE_NAME "hdrldemo_resample"

## ◆ RENKA_CRITICAL_RADIUS

#define RENKA_CRITICAL_RADIUS 1.25

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Unit tests of hdrl_image.